
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>优雅的使用Python之软件管理 / iVAN</title>

    <meta name="description" content="优雅的使用Python之软件管理 常用软件包管理工具 一般python软件包管理工具,主要有以下: 图 常用python包管理工具 可以看到distribute是setuptools的替代方案(因为Setuptools包不再维护了),pip是easy_install的替代方案.本篇重点介绍pip,其它感兴趣的自行了解. pip最流行的软件包管理工具 pip的核心开发人员之一的 Donald Stufft,去年写了一篇博客详细描述了PyPI CDN供应商4天的流量.其中一个纬度展示,使用软件包管理工具从PyPI安装软件包的用户中,">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">优雅的使用Python之软件管理</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>常用软件包管理工具</h1>
<p>一般python软件包管理工具，主要有以下：</p>
<p><a href="http://images.cnitblog.com/blog/92071/201412/011659498262595.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzkyMDcxLzIwMTQxMi8wMTE2NTk1MTQ5ODcwNTAucG5n.jpg"></a></p>
<p>图 常用python包管理工具</p>
<p>可以看到distribute是setuptools的替代方案（因为Setuptools包不再维护了），pip是easy_install的替代方案。本篇重点介绍pip，其它感兴趣的自行了解。</p>
<h1>pip最流行的软件包管理工具</h1>
<p>pip的核心开发人员之一的 Donald Stufft，去年写了一篇博客详细描述了PyPI CDN供应商4天的流量。其中一个纬度展示，使用软件包管理工具从PyPI安装软件包的用户中，大约75%的用户使用pip。该工具已被证明非常有用和流行，<b>在</b><b>2013</b><b>年10</b><b>月pip</b><b>将被从3.4</b><b>版本起，随python</b><b>内置发布</b>。</p>
<p><a href="http://images.cnitblog.com/blog/92071/201412/011659521088463.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzkyMDcxLzIwMTQxMi8wMTE2NTk1Mjc2NDU4NjMucG5n.jpg"></a></p>
<p>图：PyPI安装工具使用统计图（<a href="https://caremad.io/2013/10/a-look-at-pypi-downloads/" rel="external nofollow noreferrer">https://caremad.io/2013/10/a-look-at-pypi-downloads/</a>）</p>
<p>PyPI首页推荐的软件包安装方法：</p>
<p><a href="http://images.cnitblog.com/blog/92071/201412/011659534678247.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzkyMDcxLzIwMTQxMi8wMTE2NTk1NDA3NjUzNjMucG5n.jpg"></a></p>
<h2>安装</h2>
<p>方法一：</p>
<p>l  下载get-pip.py文件，<a href="https://bootstrap.pypa.io/get-pip.py" rel="external nofollow noreferrer">https://bootstrap.pypa.io/get-pip.py</a></p>
<p>l  python get-pip.py</p>
<p>D:\Python33&gt;python get-pip.py</p>
<p>Downloading/unpacking pip</p>
<p>Downloading/unpacking setuptools</p>
<p>Installing collected packages: pip, setuptools</p>
<p>Successfully installed pip setuptools</p>
<p>Cleaning up...</p>
<p>方式二：源码方式安装</p>
<p>l  下载源码包：<a href="https://pypi.python.org/packages/source/p/pip/" rel="external nofollow noreferrer">https://pypi.python.org/packages/source/p/pip/</a></p>
<p>l  解压</p>
<p>l  cd 到对应目录</p>
<p>l  python setup.py install</p>
<p> </p>
<h2>使用</h2>
<p>l  从<a href="http://pypi.python.org/pypi/" rel="external nofollow noreferrer">PyPI</a>安装软件包：</p>
<pre>$ pip install SomePackage</pre>
<pre>  [...]</pre>
<pre>  Successfully installed SomePackage</pre>
<p>l  查看软件包安装了哪些文件及路径等信息：</p>
<pre>$ pip show --files SomePackage</pre>
<pre>  Name: SomePackage</pre>
<pre>  Version: 1.0</pre>
<pre>  Location: /my/env/lib/pythonx.x/site-packages</pre>
<pre>  Files:</pre>
<pre>   ../somepackage/__init__.py</pre>
<pre>   [...]</pre>
<p>l  查看哪些软件包已经有更新版本了：</p>
<pre>$ pip list --outdated</pre>
<pre>  SomePackage (Current: 1.0 Latest: 2.0)</pre>
<p>l  升级软件包：</p>
<pre>$ pip install --upgrade SomePackage</pre>
<pre>  [...]</pre>
<pre>  Found existing installation: SomePackage 1.0</pre>
<pre>  Uninstalling SomePackage:</pre>
<pre>    Successfully uninstalled SomePackage</pre>
<pre>  Running setup.py install for SomePackage</pre>
<pre>  Successfully installed SomePackage</pre>
<p>l  卸载软件包：</p>
<pre>$ pip uninstall SomePackage</pre>
<pre>  Uninstalling SomePackage:</pre>
<pre>    /my/env/lib/pythonx.x/site-packages/somepackage</pre>
<pre>  Proceed (y/n)? y</pre>
<pre>  Successfully uninstalled SomePackage</pre>

<h1>pip高级用法</h1>
<p>前面小节介绍pip的基本功能使用，已经满足了绝大部分需求。下面介绍pip的一些高级用法：</p>
<p>l  查询软件包</p>
<pre>$ pip search "query"</pre>
<p>l  列出安装的所有软件包</p>
<pre>$ pip list</pre>
<p>l  安装软件包的指定版本号</p>
<p>通过使用==, &gt;=, &lt;=, &gt;, &lt;来指定一个版本号</p>
<pre>$ pip install SomePackage            # latest version</pre>
<pre>$ pip install SomePackage==1.0.4     # specific version</pre>
<pre>$ pip install 'SomePackage&gt;=1.0.4'     # minimum version</pre>
<p> </p>
<p>l  根据依赖文件安装软件包</p>
<p>想象一个场景，使用《<a href="http://www.cnblogs.com/skynet/p/4124763.html" rel="external nofollow noreferrer">优雅的使用python之环境管理</a>》创建了一个感觉的虚拟环境，然后安装了一些依赖的软件包，开发出了应用APP。这个时候，你需要部署到服务器？</p>
<p>这个时候可以使用pip导出依赖文件列表，然后在服务器上根据依赖文件列表，自动安装对应的软件包。是不是很方便！</p>
<p>pip freeze &gt; requirements.txt</p>
<p>pip install -r requirements.txt</p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 06:30:52</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>优雅的使用Python之软件管理的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQVrqp.html" rel="bookmark">【Python】软件管理工具--pip</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  因为项目的原因我需要深入的学习python,后端程序依赖各种各种软件包,比如MySQLdb,新手可能会有些不熟悉 如何快速安装所需要的python 包.常用的python 包安装和管理有 easy_install, setuptools, pip,distribute. 本文则介绍pip---&quot;A tool for installing and managing Python packages.&quot;安装pip 先要获取脚本 get-pip.py   wget https://boot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN7XQ7p.html" rel="bookmark">在终端中优雅地编写Python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 最早我也只是在服务器上编辑文件的时候用用vim来改改程序,并没有把vim当做自己的主力编辑器.但是偶然的一次机会需要改一个奇葩的输入文件的格式,用了下Vim的宏录制,尝到了甜头,于是后面就开始用Vim来写程序了,虽然使用初期有些阻力,但时间久了就会发现,双手再也不用离开键盘,即使使用sublime这样的编辑器我也要改成使用Vim模式,Vim真的能让自己一思维的速度编辑文本(对我来说就是写程序了). 正好最近换了新的电脑,需要在新电脑上配置一下,就干脆把一些配置相关的东东记录下来吧,相关的配			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPP3vAp.html" rel="bookmark">优雅的使用python之环境管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				优雅的使用python之环境管理 缘起 情景1:不同python版本的管理 同一电脑上的多个python版本之前的管理,为了突出问题的普遍存在,下面是有人在segmentfault上提的问题. 摘自:http://segmentfault.com/q/1010000000162043 情景2:同一python版本中同一库的不同版本管理 例如在python2.7下应用A是基于Django1.6,应用B是基于Django1.7的,这种情况怎么管理. 为解决以上问题,下面隆重介绍下virtualenv			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0boLQEM.html" rel="bookmark">详谈Ubuntu软件管理丢失的功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				多数人都认为Ubuntu通过Ubuntu Software Center彻底改革了dpkg包管理.毫无疑问,按照多数人标准来看,Software Center肯定是用户友好的呢.但事实真是如此么?本文将介绍Ubuntu软件管理的现状,伴随着Ubuntu首次发布的软件管理走了多远,以及Ubuntu软件领先的地方. 一切从apt开始 Ubuntu软件管理的纯粹形式使用apt打包工具,最先内置在很棒的但常被低估的Linux版本Debian中.可使用apt安装.移除或者更新Ubuntu上的软件.要完全清			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0W100b.html" rel="bookmark">软件管理 软件列表-关于用c&num;制作类似软件管理类的软件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于用c#制作类似软件管理类的软件 我想用c#winform实现类似360软件管家或者类似的软件管理列表 现在用donetbar的dataGridViewX实现,但是最后一个按钮不知道怎么变小,请教? 或者有没有其他方法实现呢? 解决方案 用picturebox button label组合一个自定义控件,再用tablelayoutpanel排列它们 解决方案二: 你这要拆开多个,才好控制各个大小.而且像360这种界面,需要用web页面来实现更简单,也好看,用控件太累了.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze6jZOb.html" rel="bookmark">Linux Mint用户指南：软件管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux http://www.aliyun.com/zixun/aggregation/16786.html&quot;&gt;Mint中的包管理 如果您是第一次安装 linux操作系统,您可能不熟悉把软件打成包的概念.您很快会熟悉这个包管理方式,并且感谢她在安全性,可用性,可控性方面带来的优势. 我们努力让您电脑的硬件都被检测到并安装合适的硬件驱动,这样可以使您的电脑开机就可用.我们努力为您做很多事情,这样您就不需要自己到网络上找很多第三放的源了.您可能已经注意到了,您的 Linux Mint已经有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pke2Rwb.html" rel="bookmark">azure上的SUSE主机，yast2打开软件管理，闪退是怎么回事？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 azure上的SUSE主机,yast2打开软件管理,闪退是怎么回事? azure上的SUSE主机,yast2打开软件管理,闪退是怎么回事? 解决方案 您好, 请确认你在SSH连接后安装所有YaST2所需要的文件包,并且在 YaST2 软件管理工具中安装了所有的软件包. Susie			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmKnv3b.html" rel="bookmark">打车软件管理规定终于落地</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				备受关注的打车软件管理规定昨天终于落地.交通运输部正式印发的&lt;关于促进手机软件召车等出租汽车电召服务有序发展的通知&gt;中规定,打车软件逐步纳入统一召车平台管理,但其自主调度不受影响:通过打车软件发出的召车信息只推送至空车:在机场.火车站等设立统一出租车调度站的场所,出租车不得通过打车软件揽客等.各方认为,此前遭到质疑的征求意见稿经过修改,较好地兼顾了效率与公平. 京华时报记者 廖丰 黄海蕾 ■政策亮点 兼顾公平防止挑肥拣瘦 业界看来,&lt;通知&gt;中召车信息只向空车推送,价格管制,以及对机			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQBeQOM.html" rel="bookmark">python利用mysql管理大数据集方便吗？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 python利用mysql管理大数据集方便吗? 使用python处理数据的时候生成的大批量的List数据集怎样保存比较方便呢?就是退出python后下次再进入python时不用再从外部文件重新读取数据集--因为我的数据量实在是太大,每次打开就再读一遍实在是太耗时间--所以我想用msqldb模块管理数据,不知道在数据存取.查询方面方不方便呢?有没有好的相关教程推荐的?谢谢啦 解决方案 你要是真的很大,可以考虑hive来做mysql的映射啊			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7kRaz.html" rel="bookmark" class="title">ios-使用mySql返回的值调用</a>
					<div>
						问题描述 使用mySql返回的值调用 应用中,连接Json到mySql数据库,使用PHP,返回值 UserID. 现在需要将这个值用到where语句其他Json调用中. 是不是应该在plist文件中存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrWZdp.html" rel="bookmark" class="title">XML的中阶知识巩固之XML Schema其一</a>
					<div>
						用过 XML 的人都知道可用 DTD(Document Type Definition) 来验证语法,不过微软主导了新一代验证语法的 XML Schema,并且风头正劲,大有一统江湖之势.看看我们身边 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK49Op.html" rel="bookmark" class="title">photoshop绘制光效卡通笑脸图标教程</a>
					<div>
						教程学习如何用Photoshop的一些基本工具和图层样式打造一个蓝色卡通笑脸图标,挺简单的,喜欢的朋友可以一起来学习! 先看效果图. 新建文档630x600像素,背景白色.建新层,画一黑色正圆. 添加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Pw0jM.html" rel="bookmark" class="title">忘记电脑密码了怎么办？</a>
					<div>
						怎样设置开机密码? 在开始-设置-控制面版-用户账户-创建或点击你现在的用户,上面有设置密码的选项或者可以通过设置bios开机的时候狂按del健,在里头可以找到password字样的东西,设置之后开机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYR2dep.html" rel="bookmark" class="title">eMule是否能更改下载文件的名称</a>
					<div>
						  eMule可以把下载文件的文件名改成任何东西,因为eMule并不依靠文件名识别文件,而是根据文件的唯一hash值识别.右键点击某个下载文件,在菜单中选择显示文件详情,然后在对话框的名字标签页中修改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjWYQb.html" rel="bookmark" class="title">如何修改硬盘图标</a>
					<div>
						很多人喜欢追求个性,与众不同,他们会将自己的电脑变化成自己喜欢的样式.今天小编给大家带来的是更改硬盘图片的方法,让你的硬盘盘符的图标专属你一个人.言归正传,如何让你的硬盘拥有不一样的图标呢?今天在这里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWDWQb.html" rel="bookmark" class="title">在PC端iTunes中如何重新下载已购项目&quest;</a>
					<div>
						  在今年 9 月的苹果新品发布会中,最让音乐迷们兴奋的无外乎就是 U2 新专辑的首发了,将新专辑的发布放在了全球瞩目的苹果发布会上,想必热爱音乐的乔布斯也会惊叹现在苹果在音乐领域巨大的影响力,U2  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Nqkmz.html" rel="bookmark" class="title">NOI 2004 郁闷的出纳员 Splay</a>
					<div>
						网址:http://www.lydsy.com/JudgeOnline/problem.php?id=1503 所有的操作都比较简单,而对于调整工资,就必须思考下,不过也简单,直接变成调整界限,和新来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7dGOz.html" rel="bookmark" class="title">超350个政府项目托管在GitHub 政府开源会成主流？</a>
					<div>
						超350个政府项目托管在GitHub 政府开源会成主流? 发表于2013-03-19 14:28| 次阅读| 来源O'REILLY radar| 0 条评论| 作者Alex Howard 开源GitH ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NKKAM.html" rel="bookmark" class="title">数据与图像分析融合 专家利用分析软件监测濒危野生动物</a>
					<div>
						在大数据时代的今天,谈到数据分析的具体应用,上到搜寻马航MH370,下到探析东莞式服务产业链,就连两会代表也开始提出大数据的应用问题,数据分析真是不可谓无所不在.但这次要说的,恐怕却是大部分人都想不到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94YAVb.html" rel="bookmark" class="title">RandomAccessFile类实现随机读写文件</a>
					<div>
						 java.io.RandomAccessFile类能够实现对文件内的随机位置进行读写操作.通过下面的一个实例来进行了解. 实例: public class RandomAccessFileDemo0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ry63z.html" rel="bookmark" class="title">如何查看自己的主机是否安装了Zend Guard Loader组件</a>
					<div>
						目前国内有很多的网站程序都需要主机支持Zend Guard Loader 组件支持,那么该如何查看自己的主机是否已经安装了这个组建呢? 环境要求 由于采用了加密,所以对主机环境有些要求: 很多网站系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Zq5az.html" rel="bookmark" class="title">拆解易淘食整合O2O解决方案</a>
					<div>
						听到&quot;易淘食&quot;的名字,多数人以为这是一家普通的外卖送餐公司,对此易淘食创始人.CEO张洋在D做客oNews会客室时极力否认.他解释易淘食虽然是以外卖业务作为切入点,但是本质是一家餐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1r53Kp.html" rel="bookmark" class="title">php实现上传图片保存到数据库的方法&lowbar;php技巧</a>
					<div>
						php实现上传图片保存到数据库的方法.分享给大家供大家参考.具体分析如下: php 上传图片,一般都使用move_uploaded_file方法保存在服务器上.但如果一个网站有多台服务器,就需要把图片 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZloLM.html" rel="bookmark" class="title">中国大陆女性网民在投资态度上的风险偏好略微高于男性</a>
					<div>
						根据尼尔森发布的&lt;中国网民理财与投资态度报告&gt;显示,在投资理念上,中国大陆网民更为保守,超过半数的中国大陆网民在做理财投资决定时依赖于个人判断,中国大陆女性网民在投资态度上的风险偏好略微高 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEVgJM.html" rel="bookmark" class="title">java大神，求教，急提问</a>
					<div>
						问题描述 java大神,求教,急提问 两个html页面,a和b,a里面有您好两个字和登录按钮,b里面有返回按钮,我想点击登录按钮跳转到b里面,再点击返回按钮,跳转到a里面,但是,a里面的内容为&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnjL5M.html" rel="bookmark" class="title">插入数据后执行更新动作</a>
					<div>
						问题描述 当我插入一笔数据成功后:自动执行更新另外一个表格的动作:如下代码:更新不起作用stringsql=&quot;insertintodraw(ID,Line,DateTime,DUser,Qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNR3eM.html" rel="bookmark" class="title">Windows 7系统破音&lpar;爆音&rpar;问题解决方法</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   已经有不少会员反映其Windows7系统存在破音(爆音 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNGGKM.html" rel="bookmark" class="title">ios 环信图文混排的怎么做的呢&quest;  大神给个例子可以么&quest;</a>
					<div>
						问题描述 解决方案 自定义bubbleview去展示就可以了,图文混排的.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoVj0M.html" rel="bookmark" class="title">html-关于linux下cgi使用expect的问题</a>
					<div>
						问题描述 关于linux下cgi使用expect的问题 我有一个程序 在终端下使用正常 我希望给它做一个html页面 因此html页面需要调用cgi脚本 我的cgi脚本是用shell写的 中间调用了e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkAq2z.html" rel="bookmark" class="title">MVC遇上bootstrap后的ajax表单验证&lowbar;AJAX相关</a>
					<div>
						使用bootstrap后他由他自带的样式has-error,想要使用它就会比较麻烦,往常使用jquery.validate的话只有使用他自己的样式了,而且有模型在使用模型验证更方便点.怎么解决呢? 当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Q2J6p.html" rel="bookmark" class="title">深入JDBC sqlserver连接写法的详解&lowbar;Mysql</a>
					<div>
						SQL Server 2000 复制代码 代码如下: String driverName = &quot;com.microsoft.jdbc.sqlserver.SQLServerDriver&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOn5Lxp.html" rel="bookmark" class="title">利用Python实现简单的相似图片搜索的教程&lowbar;python</a>
					<div>
						大概五年前吧,我那时还在为一家约会网站做开发工作.他们是早期创业公司,但他们也开始拥有了一些稳定用户量.不像其他约会网站,这家公司向来以洁身自好为主要市场形象.它不是一个供你鬼混的网站--是让你能找到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1nXrb.html" rel="bookmark" class="title">单击复制文字兼容各浏览器的完美解决方案&lowbar;javascript技巧</a>
					<div>
						单击复制文字的js.找了很久,由于之前没有接触过,完全不知道兼容ie及标准dom浏览器,不仅仅要通过js,而且需要flash的帮忙.clipboard.swf这个在网上都有下载. ie允许访问剪贴板. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYoY1b.html" rel="bookmark" class="title">百度对新网站收录看法与优化方法</a>
					<div>
						百度对新网站收录看法与优化方法下面我们来看看站长写的6点网站优化教程方法哦,特别是对新的百度现在越来越把时间放长了哦. 1.分析LOG,我现在每天都会把日志文件下载下来看,基本上可以看到那些蜘蛛来过, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWaylz.html" rel="bookmark" class="title">9月12日爱奇艺VIP会员账号共享 爱奇艺会员9月12日账号共享</a>
					<div>
						爱奇艺会员9月12日账号 账号:18375407150密码:huishao521. 账号:18523189887密码:125488qqliu 账号:13040695947密码:a1996121316  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44QR1z.html" rel="bookmark" class="title">通过IBM Cognos Business Intelligence 10&period;2使用IBM InfoSphere BigInsights数据</a>
					<div>
						大数据开辟了http://www.aliyun.com/zixun/aggregation/13782.html&quot;&gt;业务分析的新时代.组织现在都有机会基于相关数据制定明智的决策,在过去 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWnDRz.html" rel="bookmark" class="title">著名经济学家郎咸平今天在微博向大陆液晶面板产业&OpenCurlyDoubleQuote;开炮&rdquo;</a>
					<div>
						著名经济学家郎咸平今天在微博向大陆液晶面板产业&quot;开炮&quot;.郎咸平称,京东方和TCL分别投入600亿和245亿开发8.5代液晶面板,再加上三星苏州厂,创维,熊猫等品牌,中国液晶面板业就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOW9y9z.html" rel="bookmark" class="title">破解融资困局 光伏企业切入&OpenCurlyDoubleQuote;互金&rdquo;行业</a>
					<div>
						中国光伏行业快速发展之际,光伏融资难问题隐现. 2015年新增装机进一步增长至15.13GW,同比增长42.74%.2015年中国新增光伏装机量占全球1/3,累计装机量达到全球第一. 业内人士指出,光 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNmLBmb.html" rel="bookmark" class="title">高通将向法院提交动议 欲驳回FTC反垄断诉讼</a>
					<div>
						高通 据外媒北京时间4月4日报道,高通公司在周一表示,将向法院提交一项动议,以驳回美国联邦贸易委员会(FTC)提起的反垄断诉讼.FTC指控高通从事了反竞争行为,以维持其在芯片市场的主导地位. 高通称, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
